#include <bits/stdc++.h>

using namespace std;
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    long long n;
    cin>>n;
    vector<long long> v[n];
    for(long long i=0;i<n-1;i++)
    {
        long long a,b;
        cin>>a>>b;
        v[a-1].push_back(b-1);
        v[b-1].push_back(a-1);
    }
    cout<<n/2+n%2-1;
}